-- 
-- 2. Übung - neue Funktionen
-- 
-- ST_FlipCoordinates
-- ST_Split

----------------------------------------------------------------------
-- Erläuterung


#  Aufruf auf der Konsole
-- Aufruf als SQL 
----------------------------------------------------------------------

----------------------------------------------------------------------
-- 2.1 ST_Split - Erzeugen Sie eine Fläche und teilen Sie diese an einer Linie
----------------------------------------------------------------------

Create Table split as 
SELECT (split).path[1], (split).geom::geometry(Polygon,4326) AS the_geom
FROM
(SELECT ST_Dump(ST_Split(
    ST_Buffer(ST_GeomFromText('POINT(10 50)',4326), 5),
    ST_GeomFromText('LINESTRING(0 50,20 50)',4326)
)) AS split
) AS foo;


----------------------------------------------------------------------
-- 2.2 ST_FlipCoordinates 
-- 
----------------------------------------------------------------------

SELECT ST_AsText(ST_FlipCoordinates(the_geom)) FROM poi;


----------------------------------------------------------------------
-- 2.2 Parallele erzeugen mit ST_OffsetCurve
-- 
----------------------------------------------------------------------

SELECT ST_OffsetCurve(the_geom,2,'quad_segs=4 join=round') FROM lines;

